GNU bug report logs - #37465
add xftwidth displayed textwidth calculator package

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Kyle Andrews <kyle.c.andrews@HIDDEN>; Done: Ludovic Courtès <ludo@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 37465-done <at> debbugs.gnu.org:


Received: (at 37465-done) by debbugs.gnu.org; 29 Sep 2019 19:46:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 29 15:46:30 2019
Received: from localhost ([127.0.0.1]:55894 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iEf9J-0005PE-Su
	for submit <at> debbugs.gnu.org; Sun, 29 Sep 2019 15:46:30 -0400
Received: from hera.aquilenet.fr ([185.233.100.1]:59606)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1iEf9H-0005Mz-No
 for 37465-done <at> debbugs.gnu.org; Sun, 29 Sep 2019 15:46:28 -0400
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 06D11A7C52;
 Sun, 29 Sep 2019 21:46:26 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id Dy7XRAhCjQMc; Sun, 29 Sep 2019 21:46:25 +0200 (CEST)
Received: from ribbon (unknown [IPv6:2a01:e0a:1d:7270:af76:b9b:ca24:c465])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id CDC89A7A1E;
 Sun, 29 Sep 2019 21:46:24 +0200 (CEST)
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Kyle Andrews <kyle.c.andrews@HIDDEN>
Subject: Re: [bug#37465] add xftwidth displayed textwidth calculator package
References: <4e2e655c245cfc810b0faaf4c63b8fd99b384269.camel@HIDDEN>
 <87wodwlcwf.fsf@HIDDEN>
 <c848b277852137e37670a1c4db0c795f2136897d.camel@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 8 =?utf-8?Q?Vend=C3=A9miaire?= an 228 de la
 =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Sun, 29 Sep 2019 21:46:24 +0200
In-Reply-To: <c848b277852137e37670a1c4db0c795f2136897d.camel@HIDDEN> (Kyle
 Andrews's message of "Sun, 29 Sep 2019 10:24:32 -0400")
Message-ID: <87d0filwbz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 37465-done
Cc: 37465-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hi Kyle,

Kyle Andrews <kyle.c.andrews@HIDDEN> skribis:

> I've fixed the notes I saw from guix lint:
>
> 1. https -> http for github urls
> 2. Removed period from synopsis
> 3. Rewrote the description using full sentences

I fixed a these additional warnings reported by =E2=80=98guix lint=E2=80=99=
 and
committed:

--8<---------------cut here---------------start------------->8---
gnu/packages/xdisorg.scm:1359:17: xftwidth@20170402: sentences in descripti=
on should be followed by two spaces; possible infractions at 96, 234
/home/ludo/src/guix/gnu/packages/xdisorg.scm:1335:0: xftwidth@20170402: tab=
ulation on line 1335, column 0
/home/ludo/src/guix/gnu/packages/xdisorg.scm:1336:0: xftwidth@20170402: tab=
ulation on line 1336, column 0
/home/ludo/src/guix/gnu/packages/xdisorg.scm:1338:0: xftwidth@20170402: tab=
ulation on line 1338, column 0
/home/ludo/src/guix/gnu/packages/xdisorg.scm:1339:0: xftwidth@20170402: tab=
ulation on line 1339, column 0
gnu/packages/xdisorg.scm:1364:15: xftwidth@20170402: permanent redirect fro=
m http://github.com/vixus0/xftwidth to https://github.com/vixus0/xftwidth
--8<---------------cut here---------------end--------------->8---

Thanks!

Ludo=E2=80=99.




Notification sent to Kyle Andrews <kyle.c.andrews@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Ludovic Courtès <ludo@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 37465 <at> debbugs.gnu.org:


Received: (at 37465) by debbugs.gnu.org; 29 Sep 2019 15:32:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 29 11:32:40 2019
Received: from localhost ([127.0.0.1]:55558 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iEbBg-0001qW-Je
	for submit <at> debbugs.gnu.org; Sun, 29 Sep 2019 11:32:40 -0400
Received: from tobias.gr ([80.241.217.52]:57466)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1iEbBb-0001lo-0J
 for 37465 <at> debbugs.gnu.org; Sun, 29 Sep 2019 11:32:36 -0400
Received: by tobias.gr (OpenSMTPD) with ESMTP id 5d7caf67;
 Sun, 29 Sep 2019 15:32:31 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=tobias.gr; h=from:to:cc
 :subject:references:in-reply-to:date:message-id:mime-version
 :content-type; s=2018; i=me@HIDDEN; bh=GCyer8BFpC6EvGFV4Kn0Vh
 OVjAEk6irSLMu+EnUib04=; b=a67pP8Vusd93e3ExRRd5vj/OQLQ4Oonjj/3/yB
 hsEdlTaKi8sOU3JnbTnCta59sA9z9M1dG5OIQQQBsxi+3o7x0GPqeYoEfJ3m/u9D
 vpg7H2WtLN0e4ZfvnEaJ5yYQtmGoust9E3KuQ5m218qvI5mtkQccSRNCppbXFqFZ
 uWPjB/EvPBfI/e3bhaiH03Dzu3AATecvktQo+rlzZr18Va0CGM+4lq3eptAlxauH
 0xVSu+temfUxIOYohRTvviw4bj4F/HkrhuiNr7r27WIKUBhq9urqVTZwjzibw8ic
 oX115hwjzMzLrVgE1wbABS9rC1xGoXUgaCWetDn6GXhwOhLQ==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 89f0adce
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Sun, 29 Sep 2019 15:32:30 +0000 (UTC)
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: guix-patches@HIDDEN
Subject: Re: [bug#37465] add xftwidth displayed textwidth calculator package
References: <4e2e655c245cfc810b0faaf4c63b8fd99b384269.camel@HIDDEN>
 <87wodwlcwf.fsf@HIDDEN>
 <c848b277852137e37670a1c4db0c795f2136897d.camel@HIDDEN>
In-reply-to: <c848b277852137e37670a1c4db0c795f2136897d.camel@HIDDEN>
Date: Sun, 29 Sep 2019 17:32:31 +0200
Message-ID: <87lfu7p180.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37465
Cc: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>, 37465 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Kyle,

Thanks for the patch.

Kyle Andrews =E5=86=99=E9=81=93=EF=BC=9A
> I've fixed the notes I saw from guix lint:
>
> 1. https -> http for github urls

I thought this was just a typo, but the patch agrees.  Our linter=20
doesn't recommend HTTP over HTTPS for GitHub (or indeed any) URLs.=20
In fact, it should now warn about a

  gnu/packages/xftwidth@20170402: permanent redirect from
  http://github.com/vixus0/xftwidth to
  https://github.com/vixus0/xftwidth

Also, the GNU/Guix style is to=E2=80=A6
=2D never use tabs for indentation, only spaces.
=2D use two spaces between prose sentences: =E2=80=98=E2=80=A6Xft fonts.  I=
t is=E2=80=A6=E2=80=99.
                                                      ^^
The linter should have warned you about both of these, too.

It sounds like yours is behaving quite strangely.  What, exactly,=20
did it say?

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEfo+u0AlEeO9y5k0W2Imw8BjFSTwFAl2Qzo8ACgkQ2Imw8BjF
STw3Eg/7BpAUK6lWrea492y71yTnBSOCC9KHEWhA69lpX4J9Qn2nMRA4gnsoFCZo
bd5sY99gPIvoS+PKK/TRkhL5p1NVQI29FIUDpq/v/GDt28T2jeN5EVLZUSmmNNft
9x26aJjBuhqvQlpEI00JPGiFEvJ1981+ZvtZPz2P7wILNmzxKhQ9SClG+llT3E4R
VUsNeziqQgiS/gOa6t/G6HXUAIHNv7h9UwxH+8eqkEmcbGQtKqG7IYbMrTCksRVT
30PGtMr3IF+XcXzt0oDjlIKbd66tIxS6fBdVauVqhPjKH7PuuyzsHXSTVChXou0x
mOqs6WcYZhW5DBOzWiUZpV3Y5leRC2BQKO3Ed/O5+1hXh9CW8c96aefQx62dXq2u
yd6dMONvnOD8dMRyBxsG6tH9l94yfSg+oZoPXRIsyuDOgynZenHbMmMQtxQbhZzo
937VCvZC4fIf5r5naaXdDyhCQpaeY6HPOSUzV/Gb7+CQl8U6Jd2S7RMptx4pdVDc
8hPgt9MAyelr2SNFmskWsx1kB9uLNNazzWw2yo6ZKTdJD6RXLIeNwdVPxOTzwBNE
ymlFuSoRt4vQW/drP6qM/vgoIKYDusFHzpOrSiBmZDh/vasyKzABZS9IkVwMqBsD
eCNWVkv3tw6Ho915KLrdmMtT74V/2OSC1wTtxA74oZELkt5eGNQ=
=6/pd
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#37465; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Sep 2019 15:32:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 29 11:32:46 2019
Received: from localhost ([127.0.0.1]:55562 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iEbBk-0001qn-ST
	for submit <at> debbugs.gnu.org; Sun, 29 Sep 2019 11:32:45 -0400
Received: from lists.gnu.org ([209.51.188.17]:60989)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1iEbBj-0001qf-4d
 for submit <at> debbugs.gnu.org; Sun, 29 Sep 2019 11:32:43 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:47152)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <me@HIDDEN>) id 1iEbBh-00009J-Sk
 for guix-patches@HIDDEN; Sun, 29 Sep 2019 11:32:42 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,URIBL_BLOCKED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <me@HIDDEN>) id 1iEbBf-00043Q-VQ
 for guix-patches@HIDDEN; Sun, 29 Sep 2019 11:32:41 -0400
Received: from tobias.gr ([2001:470:7405::1]:39116)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <me@HIDDEN>)
 id 1iEbBd-0003jW-Nt; Sun, 29 Sep 2019 11:32:38 -0400
Received: by tobias.gr (OpenSMTPD) with ESMTP id 5d7caf67;
 Sun, 29 Sep 2019 15:32:31 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=tobias.gr; h=from:to:cc
 :subject:references:in-reply-to:date:message-id:mime-version
 :content-type; s=2018; i=me@HIDDEN; bh=GCyer8BFpC6EvGFV4Kn0Vh
 OVjAEk6irSLMu+EnUib04=; b=a67pP8Vusd93e3ExRRd5vj/OQLQ4Oonjj/3/yB
 hsEdlTaKi8sOU3JnbTnCta59sA9z9M1dG5OIQQQBsxi+3o7x0GPqeYoEfJ3m/u9D
 vpg7H2WtLN0e4ZfvnEaJ5yYQtmGoust9E3KuQ5m218qvI5mtkQccSRNCppbXFqFZ
 uWPjB/EvPBfI/e3bhaiH03Dzu3AATecvktQo+rlzZr18Va0CGM+4lq3eptAlxauH
 0xVSu+temfUxIOYohRTvviw4bj4F/HkrhuiNr7r27WIKUBhq9urqVTZwjzibw8ic
 oX115hwjzMzLrVgE1wbABS9rC1xGoXUgaCWetDn6GXhwOhLQ==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 89f0adce
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Sun, 29 Sep 2019 15:32:30 +0000 (UTC)
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: guix-patches@HIDDEN
Subject: Re: [bug#37465] add xftwidth displayed textwidth calculator package
References: <4e2e655c245cfc810b0faaf4c63b8fd99b384269.camel@HIDDEN>
 <87wodwlcwf.fsf@HIDDEN>
 <c848b277852137e37670a1c4db0c795f2136897d.camel@HIDDEN>
In-reply-to: <c848b277852137e37670a1c4db0c795f2136897d.camel@HIDDEN>
Date: Sun, 29 Sep 2019 17:32:31 +0200
Message-ID: <87lfu7p180.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2001:470:7405::1
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>, 37465 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Kyle,

Thanks for the patch.

Kyle Andrews =E5=86=99=E9=81=93=EF=BC=9A
> I've fixed the notes I saw from guix lint:
>
> 1. https -> http for github urls

I thought this was just a typo, but the patch agrees.  Our linter=20
doesn't recommend HTTP over HTTPS for GitHub (or indeed any) URLs.=20
In fact, it should now warn about a

  gnu/packages/xftwidth@20170402: permanent redirect from
  http://github.com/vixus0/xftwidth to
  https://github.com/vixus0/xftwidth

Also, the GNU/Guix style is to=E2=80=A6
=2D never use tabs for indentation, only spaces.
=2D use two spaces between prose sentences: =E2=80=98=E2=80=A6Xft fonts.  I=
t is=E2=80=A6=E2=80=99.
                                                      ^^
The linter should have warned you about both of these, too.

It sounds like yours is behaving quite strangely.  What, exactly,=20
did it say?

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEfo+u0AlEeO9y5k0W2Imw8BjFSTwFAl2Qzo8ACgkQ2Imw8BjF
STw3Eg/7BpAUK6lWrea492y71yTnBSOCC9KHEWhA69lpX4J9Qn2nMRA4gnsoFCZo
bd5sY99gPIvoS+PKK/TRkhL5p1NVQI29FIUDpq/v/GDt28T2jeN5EVLZUSmmNNft
9x26aJjBuhqvQlpEI00JPGiFEvJ1981+ZvtZPz2P7wILNmzxKhQ9SClG+llT3E4R
VUsNeziqQgiS/gOa6t/G6HXUAIHNv7h9UwxH+8eqkEmcbGQtKqG7IYbMrTCksRVT
30PGtMr3IF+XcXzt0oDjlIKbd66tIxS6fBdVauVqhPjKH7PuuyzsHXSTVChXou0x
mOqs6WcYZhW5DBOzWiUZpV3Y5leRC2BQKO3Ed/O5+1hXh9CW8c96aefQx62dXq2u
yd6dMONvnOD8dMRyBxsG6tH9l94yfSg+oZoPXRIsyuDOgynZenHbMmMQtxQbhZzo
937VCvZC4fIf5r5naaXdDyhCQpaeY6HPOSUzV/Gb7+CQl8U6Jd2S7RMptx4pdVDc
8hPgt9MAyelr2SNFmskWsx1kB9uLNNazzWw2yo6ZKTdJD6RXLIeNwdVPxOTzwBNE
ymlFuSoRt4vQW/drP6qM/vgoIKYDusFHzpOrSiBmZDh/vasyKzABZS9IkVwMqBsD
eCNWVkv3tw6Ho915KLrdmMtT74V/2OSC1wTtxA74oZELkt5eGNQ=
=6/pd
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#37465; Package guix-patches. Full text available.

Message received at 37465 <at> debbugs.gnu.org:


Received: (at 37465) by debbugs.gnu.org; 29 Sep 2019 14:24:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 29 10:24:43 2019
Received: from localhost ([127.0.0.1]:55399 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iEa7u-0006eJ-UX
	for submit <at> debbugs.gnu.org; Sun, 29 Sep 2019 10:24:43 -0400
Received: from mail-qt1-f175.google.com ([209.85.160.175]:39401)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kyle.c.andrews@HIDDEN>) id 1iEa7t-0006e8-V5
 for 37465 <at> debbugs.gnu.org; Sun, 29 Sep 2019 10:24:42 -0400
Received: by mail-qt1-f175.google.com with SMTP id n7so13506609qtb.6
 for <37465 <at> debbugs.gnu.org>; Sun, 29 Sep 2019 07:24:41 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=message-id:subject:from:to:cc:date:in-reply-to:references
 :mime-version; bh=H8vmudLHhPWR9Wbr7LVTEaamkiAnnkCdTrrkNPPT8Xg=;
 b=Z0sdqicGHDou5VNRMSXZYRWfOwJ6Y0CmFfMGYiqsk8kUY1omqNA4yRcbPIoEjQrmxq
 i7F/h1R0XqCI+G2MDbNPkS+G0KEt6/9RMBzgVis4jxlZXx8cKeI4VyjDVT9XimnG115+
 mvg9HIa7g3k4Ijx+FMpe8tV6S3e6LtsKvuC4ggKDxqH7XdybdDNvHWQZu+7Lj7qNLWtR
 3ntXrhMbF13X2qnhPLXZkR7uKrAyQQIUhXCD7S5KJSWn4g4oZS7PKi2YFdFwzhYW0vod
 g52neAuvzGQHJ9mzMSxKP067ho1EqaCOXVxN0HWp3Yac9W1UMiETOVBel1fzgj46HIxe
 PsNA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:message-id:subject:from:to:cc:date:in-reply-to
 :references:mime-version;
 bh=H8vmudLHhPWR9Wbr7LVTEaamkiAnnkCdTrrkNPPT8Xg=;
 b=GKxKCNZwCF/daRQLHYCl5NWJrzqVDmzbDHYuKVZVoAsPVNBtgiiu3ShQy8IzclM1S1
 yzomCHzbsJ8BbQZgalcOPS2UfA6xfd55uccG8hVgyt/uN1VVZ2Fm0Dw64H6+4pdrKuXV
 JDMfXf61Fy/vb1f+hD0y8s8YXtOA14ytm2DBFGfSRFRN1gjZy52IXFsS/LlgTj/TiH7B
 tq9X6QB/NTKA9vGq2XEpKEhK0dYd/3xL377koZ1ssF3xmWDTQN1SrTe667nekXAn56W3
 OWoWzx+bh3Nge6zHzzB1BbS/exljwgMvoOpkGoOKE5x6Vub4LY2w4NdKUbry7C+rKL4u
 82tg==
X-Gm-Message-State: APjAAAUNR6XhcOZs6H3JhBK3sUf0Xmz2xlxXUtbUN2yG95E9gMc030jj
 Rr77IxF2e1ZUG42GX2m5bhtzAbSoKko=
X-Google-Smtp-Source: APXvYqx0bni6x/HIE6mSIH1Yl2o6N5ReBQqpmZAiZPcfTm8FX1cNVvfTE3kI8m+/cdXkO0AtZf2Y1A==
X-Received: by 2002:ac8:2d09:: with SMTP id n9mr20208381qta.10.1569767076259; 
 Sun, 29 Sep 2019 07:24:36 -0700 (PDT)
Received: from [192.168.2.52] (71-82-69-114.dhcp.bycy.mi.charter.com.
 [71.82.69.114])
 by smtp.googlemail.com with ESMTPSA id u43sm6746417qte.19.2019.09.29.07.24.34
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 29 Sep 2019 07:24:34 -0700 (PDT)
Message-ID: <c848b277852137e37670a1c4db0c795f2136897d.camel@HIDDEN>
Subject: Re: [bug#37465] add xftwidth displayed textwidth calculator package
From: Kyle Andrews <kyle.c.andrews@HIDDEN>
To: Ludovic =?ISO-8859-1?Q?Court=E8s?= <ludo@HIDDEN>
Date: Sun, 29 Sep 2019 10:24:32 -0400
In-Reply-To: <87wodwlcwf.fsf@HIDDEN>
References: <4e2e655c245cfc810b0faaf4c63b8fd99b384269.camel@HIDDEN>
 <87wodwlcwf.fsf@HIDDEN>
Content-Type: multipart/mixed; boundary="=-nbFVg6+8Lj4Rr+JhHgj+"
X-Mailer: Evolution 3.28.1 
Mime-Version: 1.0
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37465
Cc: 37465 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-nbFVg6+8Lj4Rr+JhHgj+
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: 8bit

Hi Ludo,

On Wed, 2019-09-25 at 15:32 +0200, Ludovic Courtès wrote:
> Hello Kyle,
> 
> Kyle Andrews <kyle.c.andrews@HIDDEN> skribis:
> 
> > From 60deaa526b4a6ca5a66f3b67ba77aa353409d542 Mon Sep 17 00:00:00
> > 2001
> > From: Kyle Andrews <kyle.c.andrews@HIDDEN>
> > Date: Thu, 19 Sep 2019 20:16:28 -0400
> > Subject: [PATCH] gnu: Add xftwidth.
> > 
> > * gnu/packages/wm.scm: added xftwidth package.
> 
> I think this should rather go to xdisorg.scm, WDYT?

That makes sense to me. I have added fontutils as an additional module
dependency in xdisorg.scm to satisfy the inputs.

> > +    (build-system gnu-build-system)
> > +    (inputs `(("freetype"    ,freetype)
> > +              ("libx11"      ,libx11)
> > +              ("fontconfig"  ,fontconfig)
> > +              ("libxft"      ,libxft)))
> 
> Nitpicking: we don’t usually align input tuples like that.  :-)
> 

Okay. I've removed the alignment. However, note that the dzen package
in xdisorg.scm uses this same aligned format for it's inputs.

> > +    (synopsis "Calculator for determining displayed text widths
> > using Xft fonts.")
> > +    (description "A small C program to calculate pixel widths for
> > displayed
> > +text using Xft fonts (given a specific font name and size). It is
> > ideal for
> > +scripts including text into the custom (e.g. dzen and xmobar
> > based) panels
> > +often used in conjunction with minimalistic window managers.")
> 
> Could you address the warnings reported by ‘guix lint’ here?  Also,
> make
> sure to write full sentences in the description:
> 
>   https://guix.gnu.org/manual/en/html_node/Synopses-and-Descriptions.
> html
> The rest LGTM!  Could you send an updated patch?
> 
> Thanks,
> Ludo’.

I've fixed the notes I saw from guix lint:

1. https -> http for github urls
2. Removed period from synopsis
3. Rewrote the description using full sentences

Please see the attached patch.

Regards,
Kyle
--=-nbFVg6+8Lj4Rr+JhHgj+
Content-Disposition: attachment; filename="0001-gnu-Add-xftwidth.patch"
Content-Type: text/x-patch; name="0001-gnu-Add-xftwidth.patch"; charset="UTF-8"
Content-Transfer-Encoding: base64
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--=-nbFVg6+8Lj4Rr+JhHgj+--





Information forwarded to guix-patches@HIDDEN:
bug#37465; Package guix-patches. Full text available.

Message received at 37465 <at> debbugs.gnu.org:


Received: (at 37465) by debbugs.gnu.org; 25 Sep 2019 13:32:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 25 09:32:44 2019
Received: from localhost ([127.0.0.1]:41068 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iD7PP-0003rU-Ug
	for submit <at> debbugs.gnu.org; Wed, 25 Sep 2019 09:32:44 -0400
Received: from eggs.gnu.org ([209.51.188.92]:58232)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1iD7PN-0003rF-Ag
 for 37465 <at> debbugs.gnu.org; Wed, 25 Sep 2019 09:32:41 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:34014)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1iD7PI-0004Q1-5N; Wed, 25 Sep 2019 09:32:36 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=54956 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1iD7PG-0005WK-As; Wed, 25 Sep 2019 09:32:34 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Kyle Andrews <kyle.c.andrews@HIDDEN>
Subject: Re: [bug#37465] add xftwidth displayed textwidth calculator package
References: <4e2e655c245cfc810b0faaf4c63b8fd99b384269.camel@HIDDEN>
Date: Wed, 25 Sep 2019 15:32:32 +0200
In-Reply-To: <4e2e655c245cfc810b0faaf4c63b8fd99b384269.camel@HIDDEN> (Kyle
 Andrews's message of "Thu, 19 Sep 2019 20:25:42 -0400")
Message-ID: <87wodwlcwf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37465
Cc: 37465 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello Kyle,

Kyle Andrews <kyle.c.andrews@HIDDEN> skribis:

> From 60deaa526b4a6ca5a66f3b67ba77aa353409d542 Mon Sep 17 00:00:00 2001
> From: Kyle Andrews <kyle.c.andrews@HIDDEN>
> Date: Thu, 19 Sep 2019 20:16:28 -0400
> Subject: [PATCH] gnu: Add xftwidth.
>
> * gnu/packages/wm.scm: added xftwidth package.

I think this should rather go to xdisorg.scm, WDYT?

> +    (build-system gnu-build-system)
> +    (inputs `(("freetype"    ,freetype)
> +              ("libx11"      ,libx11)
> +              ("fontconfig"  ,fontconfig)
> +              ("libxft"      ,libxft)))

Nitpicking: we don=E2=80=99t usually align input tuples like that.  :-)

> +    (synopsis "Calculator for determining displayed text widths using Xf=
t fonts.")
> +    (description "A small C program to calculate pixel widths for displa=
yed
> +text using Xft fonts (given a specific font name and size). It is ideal =
for
> +scripts including text into the custom (e.g. dzen and xmobar based) pane=
ls
> +often used in conjunction with minimalistic window managers.")

Could you address the warnings reported by =E2=80=98guix lint=E2=80=99 here=
?  Also, make
sure to write full sentences in the description:

  https://guix.gnu.org/manual/en/html_node/Synopses-and-Descriptions.html

The rest LGTM!  Could you send an updated patch?

Thanks,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#37465; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Sep 2019 00:25:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 19 20:25:53 2019
Received: from localhost ([127.0.0.1]:56589 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iB6kD-0006Fa-IJ
	for submit <at> debbugs.gnu.org; Thu, 19 Sep 2019 20:25:53 -0400
Received: from lists.gnu.org ([209.51.188.17]:33068)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kyle.c.andrews@HIDDEN>) id 1iB6kB-0006FQ-JK
 for submit <at> debbugs.gnu.org; Thu, 19 Sep 2019 20:25:51 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:45277)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <kyle.c.andrews@HIDDEN>) id 1iB6k9-0007eb-Ig
 for guix-patches@HIDDEN; Thu, 19 Sep 2019 20:25:50 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: ***
X-Spam-Status: No, score=3.2 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 SPOOFED_FREEMAIL,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <kyle.c.andrews@HIDDEN>) id 1iB6k7-0000G1-Bz
 for guix-patches@HIDDEN; Thu, 19 Sep 2019 20:25:49 -0400
Received: from mail-io1-xd30.google.com ([2607:f8b0:4864:20::d30]:41445)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <kyle.c.andrews@HIDDEN>)
 id 1iB6k6-0000Fe-HN
 for guix-patches@HIDDEN; Thu, 19 Sep 2019 20:25:47 -0400
Received: by mail-io1-xd30.google.com with SMTP id r26so12119023ioh.8
 for <guix-patches@HIDDEN>; Thu, 19 Sep 2019 17:25:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=message-id:subject:from:to:date:mime-version;
 bh=0y4YjzpcIPAunflE03Dsrc8j8pFYM4rGdB72Yko7ftY=;
 b=c+7/BpVMruajGNBAQHMkEc1rNebDOz2cMKCK1bscL1xGNKS+EkE5ASYPcXcsTgkEW2
 pv1y7ObqKacrxO6HdF92n2S1OWQG+Hty8WJiXMnRMjr4KTIANDTb0RvxDCZS9fvLzH+v
 L4D7qEHJ8uBPT4k49bG+N2n08DmN0D2+Q/Ktt3WK3IgDKvISMPqkWRdDUvzisZpWhOUZ
 fJeLAnHBqsZ1AaCqy3DhRUVRvlvAMPVwuSaxALq7XSPYTQ8VhsZzetS8b5pkHGZIVwoX
 kz7ZtpmrKGY6aDoSadFsA0F9nKoq4gUoqvsVUbUJTD6w8T5AyD+5F+20G9BWLQE/E9gZ
 VckA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:message-id:subject:from:to:date:mime-version;
 bh=0y4YjzpcIPAunflE03Dsrc8j8pFYM4rGdB72Yko7ftY=;
 b=kj2/hfArsiTAFs1LKHhc1jk7WsSSi5UevGtTYUg6NwiZCFM/tnRkjRk1LlUvLy/JtJ
 JYITbB1wewJgwQHmT8ztX1uv2gkPw3dqwy7lSGPGpExae6LHc3fiKX8y4PuOQnbsEt9Y
 Ehz1x+mP0AN7yUlxnGcRzW7DQRzubt64qHt/tzsov5pduDTJpr5QBLmz3Zb6CrgXk2Dj
 k4x1w2so50lP5RYC7soU8rkQLXHvbIdDdqdTx/FnLI2IIGbIzpFnymr/rE8vO9CflXgE
 nlNr7lXII06gdMlxTblo/z/4nQfdX3hUQTiRHGTeyt4ikbjG+Il79CDCnftpsh+8Ca6D
 TIdA==
X-Gm-Message-State: APjAAAVno04+WsveFZBBv4JVYBdE0nGyJdkkLSdx0eUIOHdLgO+tX5b4
 zFxWq4FW6DEJSp1FIK1NTVSgnEPZ6AQ=
X-Google-Smtp-Source: APXvYqx1PTkfCZWe5d6oUOl10b0FWJexyITmuQu5bDFJ5Kqu0NqWlwVrKVer1KHiN6tbLPvZg/3twQ==
X-Received: by 2002:a6b:8bd8:: with SMTP id
 n207mr15350848iod.147.1568939144198; 
 Thu, 19 Sep 2019 17:25:44 -0700 (PDT)
Received: from [192.168.2.52] (71-82-69-114.dhcp.bycy.mi.charter.com.
 [71.82.69.114])
 by smtp.googlemail.com with ESMTPSA id d9sm310550ioq.9.2019.09.19.17.25.43
 for <guix-patches@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 19 Sep 2019 17:25:43 -0700 (PDT)
Message-ID: <4e2e655c245cfc810b0faaf4c63b8fd99b384269.camel@HIDDEN>
Subject: add xftwidth displayed textwidth calculator package
From: Kyle Andrews <kyle.c.andrews@HIDDEN>
To: guix-patches@HIDDEN
Date: Thu, 19 Sep 2019 20:25:42 -0400
Content-Type: multipart/mixed; boundary="=-SugsUSfSCBcMAraE26bC"
X-Mailer: Evolution 3.28.1 
Mime-Version: 1.0
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::d30
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hello,
 I'd like to provide a package definition for the xftwidth
 calculator utility so that it may be included into guix. Please see the
 attached patch. Regards, 
 Content analysis details:   (1.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: herbstluftwm.org]
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (kyle.c.andrews[at]gmail.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 2.4 SPOOFED_FREEMAIL       No description available.
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.1 (/)


--=-SugsUSfSCBcMAraE26bC
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: 7bit

Hello,

I'd like to provide a package definition for the xftwidth calculator
utility so that it may be included into guix. Please see the attached
patch. 

Regards,

Kyle Andrews
--=-SugsUSfSCBcMAraE26bC
Content-Disposition: attachment; filename="0001-gnu-Add-xftwidth.patch"
Content-Transfer-Encoding: base64
Content-Type: text/x-patch; name="0001-gnu-Add-xftwidth.patch"; charset="UTF-8"
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--=-SugsUSfSCBcMAraE26bC--





Acknowledgement sent to Kyle Andrews <kyle.c.andrews@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#37465; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 29 Sep 2019 19:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.